Summary:	Libraries to use the FreeType library with Perl
Name:		perlftlib
Version:	1.2
Release: 16mdk
License:	GPL
Group:		Development/Perl
BuildRequires:	freetype-devel perl-devel

Source:		%{name}-%{version}.tar.bz2
Patch:		%{name}-%{version}-mdkconf.patch.bz2
Patch2:		%{name}-%{version}-mdkconf2.patch.bz2
Patch3:		%{name}-%{version}-nojcode.patch.bz2
Patch4:		perlftlib-1.2-perl_pollute.patch.bz2

Requires:	perl
BuildRoot:	%_tmppath/%name-%version-%release-root

%description
This is a package of libraries to use the FreeType library from the perl
language. It contains FreeType.xs and FreeTypeWrapper.pm,
so you don't need install each of them. It also contains ftinfo.pl and
mkttfdir.pl.

%prep

%setup -q
%patch -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1

%build
(cd FreeType ; %{__perl} Makefile.PL INSTALLDIRS=vendor)
make PREFIX=/usr OPTIMIZE="$RPM_OPT_FLAGS"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT/usr/X11R6/man/man1
make PREFIX=$RPM_BUILD_ROOT/usr install

cp FreeTypeWrapper.pm $RPM_BUILD_ROOT%{perl_vendorarch}
(
cd $RPM_BUILD_ROOT/usr/X11R6/man/man1/
ln -sf ../../bin/ftinfo ftinfo.1
ln -sf ../../bin/mkttfdir mkttfdir.1
)

%clean 
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,0755)
/usr/X11R6/bin/*
/usr/X11R6/man/*/*
%{perl_vendorarch}/FreeType*
%{perl_vendorarch}/auto/FreeType/*

%changelog
* Mon Aug  5 2002 Pixel <pixel@mandrakesoft.com> 1.2-16mdk
- rebuild for perl thread-multi

* Tue Jul  9 2002 Pixel <pixel@mandrakesoft.com> 1.2-15mdk
- rebuild for perl 5.8.0

* Wed Oct 10 2001 Stefan van der Eijk <stefan@eijk.nu> 1.2-14mdk
- BuildRequires: perl-devel

* Thu Sep  6 2001 Pixel <pixel@mandrakesoft.com> 1.2-13mdk
- rebuild

* Tue May 01 2001 David BAUDENS <baudens@mandrakesoft.com> 1.2-12mdk
- Use %%_tmppath for BuildRoot

* Tue Nov  7 2000 Pixel <pixel@mandrakesoft.com> 1.2-11mdk
- fix summary

* Thu Aug 31 2000 Pixel <pixel@mandrakesoft.com> 1.2-10mdk
- cleanup

* Mon Aug 07 2000 Frederic Lepied <flepied@mandrakesoft.com> 1.2-9mdk
- automatically added BuildRequires

* Wed Jul 19 2000 Pixel <pixel@mandrakesoft.com> 1.2-8mdk
- macroization

* Wed Apr 19 2000 Warly <warly@mandrakesoft.com> 1.2-7mdk
- new group: Development/Perl
 
* Thu Dec 16 1999 Franois PONS <fpons@mandrakesoft.com>
- Removed internal dependancy to jcode.pl since not distributed.
  
* Thu Dec 16 1999 Franois PONS <fpons@mandrakesoft.com>
- Modified spec file to handle correctly section 1 man pages.
- Removed unusefull FreeType.3 man page.
    
* Tue Nov 30 1999 Stefan van der Eijk <s.vandereijk@chello.nl>
- Changed a few instances of i386 into %%{_arch}
     
* Tue Nov 23 1999 Franois PONS <fpons@mandrakesoft.com>
- Modified spec filename to match package name.
- Modified patch to take into account freetype-devel 1.3
- Build release.
      
* Tue Oct 19 1999 Franois PONS <fpons@mandrakesoft.com>
- Modified Makefile to allow build from src rpm as normal user.
      
* Fri May 14 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- First version.
